< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package accounts
  Definition Classes
    ct
-  package frsse2008
  Definition Classes
    accounts
-  package calculations
  Definition Classes
    frsse2008
- PeriodCalculator
- PeriodHeadingComponents
- ProfitOrLossCalculator

t

uk.gov.hmrc.ct.accounts.frsse2008.calculations

# ProfitOrLossCalculator 

###

#### trait ProfitOrLossCalculator extends AnyRef

Linear Supertypes
AnyRef, Any
Known Subclasses
AC16, AC17, AC26, AC27, AC32, AC33, AC36, AC37, AC40, AC41, AC435, AC436
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ProfitOrLossCalculator
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def calculateCurrentGrossProfitOrLoss(ac12: AC12, ac14: AC14, ac401: AC401, ac403: AC403, statutoryAccountsFiling: StatutoryAccountsFiling): AC16
6.  def calculateCurrentNetBalance(ac36: AC36, ac38: AC38): AC40
7.  def calculateCurrentOperatingProfitOrLoss(ac16: AC16, ac18: AC18, ac20: AC20, ac22: AC22): AC26
8.  def calculateCurrentProfitOrLoss(ac12: AC12, ac405: AC405, ac410: AC410, ac415: AC415, ac420: AC420, ac425: AC425, ac34: AC34, ac401: AC401, ac403: AC403, microEntityFiling: MicroEntityFiling): AC435
9.  def calculateCurrentProfitOrLossBeforeTax(ac26: AC26, ac28: AC28, ac30: AC30): AC32
10.  def calculateCurrentProfitOtLossAfterTax(ac32: AC32, ac34: AC34): AC36
11.  def calculatePreviousGrossProfitOrLoss(ac13: AC13, ac15: AC15, ac402: AC402, ac404: AC404, statutoryAccountsFiling: StatutoryAccountsFiling): AC17
12.  def calculatePreviousNetBalance(ac37: AC37, ac39: AC39): AC41
13.  def calculatePreviousOperatingProfitOrLoss(ac17: AC17, ac19: AC19, ac21: AC21, ac23: AC23): AC27
14.  def calculatePreviousProfitOrLoss(ac13: AC13, ac406: AC406, ac411: AC411, ac416: AC416, ac421: AC421, ac426: AC426, ac35: AC35, ac402: AC402, ac404: AC404, microEntityFiling: MicroEntityFiling): AC436
15.  def calculatePreviousProfitOrLossBeforeTax(ac27: AC27, ac29: AC29, ac31: AC31): AC33
16.  def calculatePreviousProfitOtLossAfterTax(ac33: AC33, ac35: AC35): AC37
17.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
18.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
20.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
21.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
22.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
23.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
24.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
25.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
26.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
27.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
28.  def toString(): String
    Definition Classes
      AnyRef → Any
29.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
31.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped